Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07856 Core Minor Always Jan 16, 2021, 16:56 Mar 5, 2021, 13:15
Tester tjbautista01 View Status Public Platform MAME (Official Binary)
Assigned To windyfairy Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver ksys573.cpp
Version 0.227 Fixed in Version 0.230 Build 64-bit
Fixed in Git Commit e6caf6f Github Pull Request # #7811
Summary 07856: ddr2mla, ddrbocd, any 573 Analog DDR game exccluding JP Dancing Stage series: Songs run at halved framerate(?) ingame
Description While the rest of the UI before a stage runs smoothly, upon entering a stage and the song starting everything (dancer, arrows, BG animations) seem to be running at half the framerate it's supposed to (i.e. skipping every other frame). Fully aware that games using the 1st/2ndMix engine use 30FPS ingame, but in MAME it seems the songs run at something like 15FPS or so, although it's still running at proper speed. For reference videos are attached comparing performance on MAME and its PS1 console version.

NOTE: Am aware this is not a proper reference cause different engines so attached an arcade capture of 2nd Mix (running Club Mode) done by imp95 in Youtube below.

MAME:
https://streamable.com/4txk2o

PS1:
https://streamable.com/6rkyzi

This seems odd because Dancing Stage feat. True Kiss Destination runs properly at 60fps ingame and is also a 573 Analog game. Possibly CDROM-related?
Steps To Reproduce 1. Load MAME
2. Run ddr2mla, ddrj, ddrbocd, or any other 573 Analog DDR game as mentioned
3. Select music and play game
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems ddr2mla, ddrbocd, any 573 Analog DDR game exccluding JP Dancing Stage series
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.18394
Hydreigon
Tester
Jan 17, 2021, 03:59
edited on: Feb 22, 2021, 17:50
Certain PS1 (based arcade) games have some speed/timing issues and the reason why isn't known yet. For this reason, this bug could be related to 03040.

Edit: Unfortunately, the two aren't related as of now :(.
User avatar
No.18400
Tafoid
Administrator
Jan 21, 2021, 23:00
Acknowledge pending testing with most recent ksys573 enhancements
User avatar
No.18427
AriaOTP
Tester
Jan 30, 2021, 05:31
It also affects gtrfrks/gtrfrk2m
User avatar
No.18431
tjbautista01
Tester
Jan 30, 2021, 20:24
Tested with latest MAME 0.228 and issues still persist.
User avatar
No.18474
launcherEXE
Tester
Feb 22, 2021, 06:55
edited on: Feb 22, 2021, 06:57
DDR from 1st to 4thMIX PLUS (excluding JP Dancing Stage series) gameplay engine uses 30 FPS, so i don't know if it's real issue. Also, you can't directly compare arcade and console games, as they could have differences in engine.
User avatar
No.18475
tjbautista01
Tester
Feb 22, 2021, 07:08
I'm fully aware versions prior to 5th ran on 30 fps. even the ps1 counterparts ran on the same framerate. the problem here is that the analog 573 games mentioned seem to run at a janky framerate ingame that makes it practically unplayable. it runs at proper speed but it seems like it's skipping every other frame ingame like it's running at 15fps or so. Note that frameskip is off (i highly doubt anyone would play rhythm games with frameskip on)

If reference from arcade is needed here's a capture by imp95 over on youtube of how it should look ingame (yes i'm aware it's club mode but regardless it's the same engine):

compare imp95's capture with the mame capture presented on the first post
User avatar
No.18476
windyfairy
Tester
Feb 22, 2021, 12:49
edited on: Feb 22, 2021, 12:52
I sent off a PR that addresses this bug. Other games (early GFDM) were affected by the same issue so the actual scope of the bug is bigger than just early DDR games. I would say that any of the CDDA-based System 573 music games are affected since Konami likes to tie the actual song playback position directly into the animations.
https://github.com/mamedev/mame/pull/7811
User avatar
No.18480
windyfairy
Tester
Feb 23, 2021, 12:27
The above PR was merged and should be included in MAME 0.230. Please test it out and let me know if it's fixed on your end when you get a chance.

Commit: https://github.com/mamedev/mame/commit/e6caf6fb9c697bc2b4c95d67111de54e7029eb8d